a. Because structured programming is used in object-oriented programming in the created classes

b. 
    1. analyze a typical requirements document that describes a software system to be built
    
    2. determine the objects required to implement that system

    3. determine the attributes the objects will have

    4. determine the behaviors these objects will exhibit
 
    5. specify how the objects interact with one another to meet the system requirements

c. Sound, written, video messages

d. interface for changing channels and sound of radio
